package Juno2;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;


public class CmdMarketDAO implements Serializable
{
    public EquityVO getEquityPrice(String symbol) {


        EquityVO evo = new EquityVO();
        evo.setSymbol(symbol);
        evo.setPrice((float)57.75);
        evo.setDescription(symbol + " description");
        evo.setDate(new Date());
        return evo;
    }


     public HashMap getEquityPrice(ArrayList symbolList) {


        HashMap hm = new HashMap();
        ///int sz = symbolList.size();
        for(int i=0;  i < symbolList.size(); i++)
        {
            String symbol = (String)symbolList.get(i);
            EquityVO evo = new EquityVO();
			evo.setSymbol(symbol);
			evo.setPrice((float)57.75);
			evo.setDescription(symbol + " description");
			evo.setDate(new Date());
			hm.put(symbol, evo);
        }
        return hm;
    }
}


